Traintool site not accessible with Mozilla Firefox browser ( ssl error no cypher overlap )

Follow

It is possible that the Traintool website cannot be reached when you are using the Mozilla Firefox browser.The following error screen appears in that case (also see screenshot below) which should show an error (almost) similar to the following one: ssl_error_no_cypher_overlap


Firefox.png

This error can occur if your Mozilla Firefox browser is not up-to-date. Updating your browser often solves this problem. Follow the steps in this link to update your Mozilla Firefox browser.

After you have updated your browser, you should be able to contact the Traintool site again. If this is still not working, you can contact the Traintool support.